package b4a.example;

import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "b4a.example", "b4a.example.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "b4a.example", "b4a.example.main");
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
		return true;
	}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true)
				return true;
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
		this.setIntent(intent);
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public anywheresoftware.b4a.objects.EditTextWrapper _combotxt = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _img1 = null;
public anywheresoftware.b4a.objects.LabelWrapper _l1 = null;
public static String[] _li = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btn1 = null;
public anywheresoftware.b4a.objects.PanelWrapper _panel1 = null;
public static float _ky = 0f;
public static int _n = 0;
public static int _d = 0;
public static int _t = 0;
public anywheresoftware.b4a.objects.LabelWrapper _label1 = null;
public static String  _activity_create(boolean _firsttime) throws Exception{
 //BA.debugLineNum = 39;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 42;BA.debugLine="Activity.LoadLayout(\"Combo0\")";
mostCurrent._activity.LoadLayout("Combo0",mostCurrent.activityBA);
 //BA.debugLineNum = 43;BA.debugLine="n = 0";
_n = (int)(0);
 //BA.debugLineNum = 44;BA.debugLine="D = L1.Height";
_d = mostCurrent._l1.getHeight();
 //BA.debugLineNum = 46;BA.debugLine="End Sub";
return "";
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 52;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 54;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
 //BA.debugLineNum = 48;BA.debugLine="Sub Activity_Resume";
 //BA.debugLineNum = 50;BA.debugLine="End Sub";
return "";
}
public static String  _btn1_click() throws Exception{
String _lista = "";
String _nlist = "";
int _tx = 0;
 //BA.debugLineNum = 161;BA.debugLine="Sub Btn1_Click";
 //BA.debugLineNum = 162;BA.debugLine="Dim Lista, Nlist As String";
_lista = "";
_nlist = "";
 //BA.debugLineNum = 163;BA.debugLine="Dim Tx As Int";
_tx = 0;
 //BA.debugLineNum = 164;BA.debugLine="Lista = \"Mary,Albert,Frank,Henry,Mia,Elizabeth,Orace,Kim,\"";
_lista = "Mary,Albert,Frank,Henry,Mia,Elizabeth,Orace,Kim,";
 //BA.debugLineNum = 165;BA.debugLine="Do Until Lista.length = 0";
while (!(_lista.length()==0)) {
 //BA.debugLineNum = 166;BA.debugLine="Tx = (Lista).IndexOf(\",\")";
_tx = (_lista).indexOf(",");
 //BA.debugLineNum = 167;BA.debugLine="ComboTxt.Text = Lista.SubString2(0, Tx)";
mostCurrent._combotxt.setText((Object)(_lista.substring((int)(0),_tx)));
 //BA.debugLineNum = 168;BA.debugLine="Img1_Click";
_img1_click();
 //BA.debugLineNum = 169;BA.debugLine="Nlist = Lista.SubString2(Tx+1, Lista.Length) '(resto stringa da Sinistra)";
_nlist = _lista.substring((int)(_tx+1),_lista.length());
 //BA.debugLineNum = 170;BA.debugLine="Lista = Nlist";
_lista = _nlist;
 }
;
 //BA.debugLineNum = 173;BA.debugLine="End Sub";
return "";
}

public static void initializeProcessGlobals() {
    
    if (processGlobalsRun == false) {
	    processGlobalsRun = true;
		try {
		        main._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}

public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
return vis;}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 21;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 25;BA.debugLine="Dim ComboTxt As EditText";
mostCurrent._combotxt = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 26;BA.debugLine="Dim Img1 As ImageView";
mostCurrent._img1 = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 27;BA.debugLine="Dim L1 As Label";
mostCurrent._l1 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 28;BA.debugLine="Dim Li(12)";
mostCurrent._li = new String[(int)(12)];
java.util.Arrays.fill(mostCurrent._li,"");
 //BA.debugLineNum = 29;BA.debugLine="Dim Btn1 As Button";
mostCurrent._btn1 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 30;BA.debugLine="Dim Panel1 As Panel";
mostCurrent._panel1 = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 32;BA.debugLine="Dim KY As Float";
_ky = 0f;
 //BA.debugLineNum = 33;BA.debugLine="Dim n, D, t As Int";
_n = 0;
_d = 0;
_t = 0;
 //BA.debugLineNum = 35;BA.debugLine="Dim Label1 As Label";
mostCurrent._label1 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 37;BA.debugLine="End Sub";
return "";
}
public static String  _img1_click() throws Exception{
int _w = 0;
 //BA.debugLineNum = 67;BA.debugLine="Sub Img1_Click                     'Combo Behaviour Module base";
 //BA.debugLineNum = 68;BA.debugLine="If ComboTxt.Text = \"\" AND L1.Text = \"\" Then";
if ((mostCurrent._combotxt.getText()).equals("") && (mostCurrent._l1.getText()).equals("")) { 
 //BA.debugLineNum = 69;BA.debugLine="Return";
if (true) return "";
 }else {
 //BA.debugLineNum = 71;BA.debugLine="If ComboTxt.Text = \"\" AND L1.Text <> \"\" AND L1.visible = False Then";
if ((mostCurrent._combotxt.getText()).equals("") && (mostCurrent._l1.getText()).equals("") == false && mostCurrent._l1.getVisible()==anywheresoftware.b4a.keywords.Common.False) { 
 //BA.debugLineNum = 72;BA.debugLine="L1.visible = True";
mostCurrent._l1.setVisible(anywheresoftware.b4a.keywords.Common.True);
 }else {
 //BA.debugLineNum = 74;BA.debugLine="L1.Visible = False";
mostCurrent._l1.setVisible(anywheresoftware.b4a.keywords.Common.False);
 };
 };
 //BA.debugLineNum = 77;BA.debugLine="If ComboTxt.Text <> \"\" Then";
if ((mostCurrent._combotxt.getText()).equals("") == false) { 
 //BA.debugLineNum = 78;BA.debugLine="For w = 1 To n";
{
final double step44 = 1;
final double limit44 = _n;
for (_w = (int)(1); (step44 > 0 && _w <= limit44) || (step44 < 0 && _w >= limit44); _w += step44) {
 //BA.debugLineNum = 79;BA.debugLine="If ComboTxt.Text = Li(w) Then ComboTxt.Text = \"\"";
if ((mostCurrent._combotxt.getText()).equals(mostCurrent._li[_w])) { 
mostCurrent._combotxt.setText((Object)(""));};
 }
};
 };
 //BA.debugLineNum = 82;BA.debugLine="If ComboTxt.Text <> \"\" AND n < 10 Then";
if ((mostCurrent._combotxt.getText()).equals("") == false && _n<10) { 
 //BA.debugLineNum = 83;BA.debugLine="n = n + 1";
_n = (int)(_n+1);
 //BA.debugLineNum = 84;BA.debugLine="L1.Text = L1.Text & CRLF & ComboTxt.Text";
mostCurrent._l1.setText((Object)(mostCurrent._l1.getText()+anywheresoftware.b4a.keywords.Common.CRLF+mostCurrent._combotxt.getText()));
 //BA.debugLineNum = 85;BA.debugLine="Li(n) = ComboTxt.Text";
mostCurrent._li[_n] = mostCurrent._combotxt.getText();
 //BA.debugLineNum = 86;BA.debugLine="L1.Height = L1.Height + D : Panel1.Height = L1.Height";
mostCurrent._l1.setHeight((int)(mostCurrent._l1.getHeight()+_d));
 //BA.debugLineNum = 86;BA.debugLine="L1.Height = L1.Height + D : Panel1.Height = L1.Height";
mostCurrent._panel1.setHeight(mostCurrent._l1.getHeight());
 //BA.debugLineNum = 87;BA.debugLine="Label1.text = \"List height \" & L1.Height & \" - Panel height \" & Panel1.Height & \" - Items \" & n & CRLF & \"Touch point \" & KY 'Delete for real use.";
mostCurrent._label1.setText((Object)("List height "+BA.NumberToString(mostCurrent._l1.getHeight())+" - Panel height "+BA.NumberToString(mostCurrent._panel1.getHeight())+" - Items "+BA.NumberToString(_n)+anywheresoftware.b4a.keywords.Common.CRLF+"Touch point "+BA.NumberToString(_ky)));
 //BA.debugLineNum = 88;BA.debugLine="L1.Visible = True";
mostCurrent._l1.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 89;BA.debugLine="ComboTxt.Text = \"\"";
mostCurrent._combotxt.setText((Object)(""));
 //BA.debugLineNum = 90;BA.debugLine="Panel1.RequestFocus";
mostCurrent._panel1.RequestFocus();
 }else {
 //BA.debugLineNum = 92;BA.debugLine="ComboTxt.Text = \"\"";
mostCurrent._combotxt.setText((Object)(""));
 };
 //BA.debugLineNum = 94;BA.debugLine="End Sub";
return "";
}
public static String  _img1_longclick() throws Exception{
String _l2 = "";
String _nlist2 = "";
int _result = 0;
int _s = 0;
int _tx = 0;
 //BA.debugLineNum = 108;BA.debugLine="Sub Img1_LongClick";
 //BA.debugLineNum = 109;BA.debugLine="Dim L2, Nlist2 As String";
_l2 = "";
_nlist2 = "";
 //BA.debugLineNum = 110;BA.debugLine="Dim Result, s, Tx As Int";
_result = 0;
_s = 0;
_tx = 0;
 //BA.debugLineNum = 112;BA.debugLine="If L1.Text <> \"\" Then";
if ((mostCurrent._l1.getText()).equals("") == false) { 
 //BA.debugLineNum = 113;BA.debugLine="Result = Msgbox2(\"Confirm?\",\"Delete list\",\"Selected Item\",\"Undo\",\"Full List\",Null)";
_result = anywheresoftware.b4a.keywords.Common.Msgbox2("Confirm?","Delete list","Selected Item","Undo","Full List",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.Null),mostCurrent.activityBA);
 //BA.debugLineNum = 114;BA.debugLine="If Result = DialogResponse.Positive Then";
if (_result==anywheresoftware.b4a.keywords.Common.DialogResponse.POSITIVE) { 
 //BA.debugLineNum = 115;BA.debugLine="If ComboTxt.TextSize <> 0 Then";
if (mostCurrent._combotxt.getTextSize()!=0) { 
 //BA.debugLineNum = 116;BA.debugLine="Do Until Li(t+1) = \"\"";
while (!((mostCurrent._li[(int)(_t+1)]).equals(""))) {
 //BA.debugLineNum = 117;BA.debugLine="Li(t) = Li(t+1)";
mostCurrent._li[_t] = mostCurrent._li[(int)(_t+1)];
 //BA.debugLineNum = 118;BA.debugLine="t = t + 1";
_t = (int)(_t+1);
 }
;
 //BA.debugLineNum = 120;BA.debugLine="Li(t) = \"\"";
mostCurrent._li[_t] = "";
 //BA.debugLineNum = 122;BA.debugLine="For s = 1 To n-1";
{
final double step81 = 1;
final double limit81 = (int)(_n-1);
for (_s = (int)(1); (step81 > 0 && _s <= limit81) || (step81 < 0 && _s >= limit81); _s += step81) {
 //BA.debugLineNum = 123;BA.debugLine="L2 = L2 & Li(s) & \",\"";
_l2 = _l2+mostCurrent._li[_s]+",";
 }
};
 //BA.debugLineNum = 126;BA.debugLine="L1.Text = \"\"";
mostCurrent._l1.setText((Object)(""));
 //BA.debugLineNum = 127;BA.debugLine="L1.Height = D";
mostCurrent._l1.setHeight(_d);
 //BA.debugLineNum = 128;BA.debugLine="ComboTxt.Text = \"\"";
mostCurrent._combotxt.setText((Object)(""));
 //BA.debugLineNum = 129;BA.debugLine="n=0";
_n = (int)(0);
 //BA.debugLineNum = 130;BA.debugLine="Do Until L2.length = 0";
while (!(_l2.length()==0)) {
 //BA.debugLineNum = 131;BA.debugLine="Tx = (L2).IndexOf(\",\")";
_tx = (_l2).indexOf(",");
 //BA.debugLineNum = 132;BA.debugLine="ComboTxt.Text = L2.SubString2(0, Tx)";
mostCurrent._combotxt.setText((Object)(_l2.substring((int)(0),_tx)));
 //BA.debugLineNum = 133;BA.debugLine="L1.Text = L1.Text & CRLF & ComboTxt.Text : n = n + 1";
mostCurrent._l1.setText((Object)(mostCurrent._l1.getText()+anywheresoftware.b4a.keywords.Common.CRLF+mostCurrent._combotxt.getText()));
 //BA.debugLineNum = 133;BA.debugLine="L1.Text = L1.Text & CRLF & ComboTxt.Text : n = n + 1";
_n = (int)(_n+1);
 //BA.debugLineNum = 134;BA.debugLine="L1.Height = L1.Height + D : Panel1.Height = L1.Height";
mostCurrent._l1.setHeight((int)(mostCurrent._l1.getHeight()+_d));
 //BA.debugLineNum = 134;BA.debugLine="L1.Height = L1.Height + D : Panel1.Height = L1.Height";
mostCurrent._panel1.setHeight(mostCurrent._l1.getHeight());
 //BA.debugLineNum = 135;BA.debugLine="Label1.text = \"list height \" & L1.Height & \" - Panel height \" & Panel1.Height & \" - Items \" & n & CRLF & \"Touch point \" & KY 'Delete for real use";
mostCurrent._label1.setText((Object)("list height "+BA.NumberToString(mostCurrent._l1.getHeight())+" - Panel height "+BA.NumberToString(mostCurrent._panel1.getHeight())+" - Items "+BA.NumberToString(_n)+anywheresoftware.b4a.keywords.Common.CRLF+"Touch point "+BA.NumberToString(_ky)));
 //BA.debugLineNum = 136;BA.debugLine="Li(n) = ComboTxt.Text : ComboTxt.Text = \"\"";
mostCurrent._li[_n] = mostCurrent._combotxt.getText();
 //BA.debugLineNum = 136;BA.debugLine="Li(n) = ComboTxt.Text : ComboTxt.Text = \"\"";
mostCurrent._combotxt.setText((Object)(""));
 //BA.debugLineNum = 137;BA.debugLine="Panel1.RequestFocus";
mostCurrent._panel1.RequestFocus();
 //BA.debugLineNum = 138;BA.debugLine="Nlist2 = L2.SubString2(Tx+1, L2.Length)";
_nlist2 = _l2.substring((int)(_tx+1),_l2.length());
 //BA.debugLineNum = 139;BA.debugLine="L2 = Nlist2";
_l2 = _nlist2;
 }
;
 };
 };
 //BA.debugLineNum = 144;BA.debugLine="If Result = DialogResponse.Cancel Then Return";
if (_result==anywheresoftware.b4a.keywords.Common.DialogResponse.CANCEL) { 
if (true) return "";};
 //BA.debugLineNum = 147;BA.debugLine="If Result = DialogResponse.Negative Then";
if (_result==anywheresoftware.b4a.keywords.Common.DialogResponse.NEGATIVE) { 
 //BA.debugLineNum = 148;BA.debugLine="L1.Text = \"\"";
mostCurrent._l1.setText((Object)(""));
 //BA.debugLineNum = 149;BA.debugLine="Dim Li(11) : n = 0";
mostCurrent._li = new String[(int)(11)];
java.util.Arrays.fill(mostCurrent._li,"");
 //BA.debugLineNum = 149;BA.debugLine="Dim Li(11) : n = 0";
_n = (int)(0);
 //BA.debugLineNum = 150;BA.debugLine="L1.Height = D";
mostCurrent._l1.setHeight(_d);
 //BA.debugLineNum = 151;BA.debugLine="L1.Visible = False";
mostCurrent._l1.setVisible(anywheresoftware.b4a.keywords.Common.False);
 };
 };
 //BA.debugLineNum = 155;BA.debugLine="End Sub";
return "";
}
public static String  _l1_click() throws Exception{
int _x = 0;
 //BA.debugLineNum = 56;BA.debugLine="Sub L1_Click                     'Coordinate/index converter";
 //BA.debugLineNum = 57;BA.debugLine="For x = 2 To 11";
{
final double step23 = 1;
final double limit23 = (int)(11);
for (_x = (int)(2); (step23 > 0 && _x <= limit23) || (step23 < 0 && _x >= limit23); _x += step23) {
 //BA.debugLineNum = 58;BA.debugLine="If KY < (D*x) Then";
if (_ky<(_d*_x)) { 
 //BA.debugLineNum = 59;BA.debugLine="t = x : t = t-1";
_t = _x;
 //BA.debugLineNum = 59;BA.debugLine="t = x : t = t-1";
_t = (int)(_t-1);
 //BA.debugLineNum = 60;BA.debugLine="ComboTxt.Text = Li(t)";
mostCurrent._combotxt.setText((Object)(mostCurrent._li[_t]));
 //BA.debugLineNum = 61;BA.debugLine="L1.Visible = False";
mostCurrent._l1.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 62;BA.debugLine="Return";
if (true) return "";
 };
 }
};
 //BA.debugLineNum = 65;BA.debugLine="End Sub";
return "";
}
public static boolean  _panel1_touch(int _action,float _x,float _y) throws Exception{
 //BA.debugLineNum = 96;BA.debugLine="Sub Panel1_Touch (Action As Int, X As Float, Y As Float) As Boolean";
 //BA.debugLineNum = 97;BA.debugLine="If Action = Activity.ACTION_DOWN Then";
if (_action==mostCurrent._activity.ACTION_DOWN) { 
 //BA.debugLineNum = 98;BA.debugLine="KY = Round(Y)";
_ky = (float)(anywheresoftware.b4a.keywords.Common.Round(_y));
 };
 //BA.debugLineNum = 100;BA.debugLine="Label1.text = \"List height \" & L1.Height & \" - Panel height \" & Panel1.Height & \" - Items \" & n & CRLF & \"Touch point \" & KY 'Delete for real use";
mostCurrent._label1.setText((Object)("List height "+BA.NumberToString(mostCurrent._l1.getHeight())+" - Panel height "+BA.NumberToString(mostCurrent._panel1.getHeight())+" - Items "+BA.NumberToString(_n)+anywheresoftware.b4a.keywords.Common.CRLF+"Touch point "+BA.NumberToString(_ky)));
 //BA.debugLineNum = 101;BA.debugLine="L1_Click";
_l1_click();
 //BA.debugLineNum = 102;BA.debugLine="End Sub";
return false;
}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 15;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 19;BA.debugLine="End Sub";
return "";
}
}
